Get All Attendees

This API will help to get all attendees of event. We need to pass authentication and event URL to get particular event's attendees. We are also using pagination and searching functionality for get records.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here is the description of response attributes, which returns to the form of JSON.

AttributesDescription
attendeesIt returns the list of attendees of particular event. It contains attendee details like :
  • *attendeeId** : It is the attendee Id
  • *barcode** : It contains the barcode of the ticket
  • *email** : It contains the email id of attendee
  • *firstName** : It contains the first name of attendee
  • *lastName** : It contains the last name of attendee
  • *status** : It contains the status of attendee
  • *ticketStatus** : It contains the status of ticket
  • *ticketType** : It contains the type of ticket
recordsFilteredIt returns the filter added to get all attendees.
recordsTotalIt returns total records of all attendees.
ticketTypeCountDtosIt returns array of number of total ticket per ticket type.
It contains :
  • *ticketTypeId** : It contains ticket type Id
  • *ticketTypeName** : It contains the ticket type name
  • *totalTickets** : It contains number of total tickets.
totalBookedTicketsIt returns number of booked tickets.
totalCheckedInTicketsIt returns number of checked in tickets.
totalFreeTicketsIt returns number of free tickets.
totalPaidTicketsIt returns number of paid tickets

Here is the possible error messages, which return if any condition gets failed or required data is missing for processing.

Error codeError Description
200Returns all attendee details.
400The request could not be understood by the server due to malformed syntax.
401You are not authorized to view the resource.
403Accessing the resource you were trying to reach is forbidden.
404The resource you were trying to reach is not found.
4030101Not staff User.
Path Params
string
required

Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.

Query Params
int64
Defaults to 0

pass recurring event id.

int32
Defaults to 100

Size will returns number of records when call api default will returns 10 records

int32
Defaults to 0

Pages are zero indexed, thus providing 0 for page will return the first page.

string

Get filter ticketing orders according to search value passing in request.

string
enum
Defaults to TICKET

pass the event ticket datatype like TICKET or ADDON

Allowed:
boolean
Defaults to false

pass true for unique value else false

ticketTypes
array of objects

pass the ticket type like FREE,PAID or DONATION

ticketTypes
ticketStatus
array of strings

pass the list of ticket status

ticketStatus
ticketTypeIds
array of int64s

pass the list of ticket type Ids

ticketTypeIds
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json